From caef2b9589bee04c2f683241c610af8efba2a8d3 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 23 2020 21:58:20 +0000
Subject: [PATCH 647/2232] Remove dependency on proc-macro2/proc-macro feature


---

diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index c6dab56..b43a37e 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -13,9 +13,9 @@ categories = ["development-tools::ffi"]
 anyhow = "1.0"
 cc = "1.0.49"
 codespan-reporting = "0.9"
-proc-macro2 = { version = "1.0.14", features = ["span-locations"] }
-quote = "1.0"
-syn = { version = "1.0.20", features = ["full"] }
+proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
+quote = { version = "1.0", default-features = false }
+syn = { version = "1.0.20", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
 
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/gen/cmd/Cargo.toml b/gen/cmd/Cargo.toml
index 0609dc6..7a80a2f 100644
--- a/gen/cmd/Cargo.toml
+++ b/gen/cmd/Cargo.toml
@@ -16,10 +16,10 @@ path = "src/main.rs"
 [dependencies]
 anyhow = "1.0"
 codespan-reporting = "0.9"
-proc-macro2 = { version = "1.0.14", features = ["span-locations"] }
-quote = "1.0"
+proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
+quote = { version = "1.0", default-features = false }
 structopt = "0.3"
-syn = { version = "1.0.20", features = ["full"] }
+syn = { version = "1.0.20", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
 
 [package.metadata.docs.rs]
 targets = ["x86_64-unknown-linux-gnu"]
diff --git a/third-party/BUCK b/third-party/BUCK
index c64e728..479fbfc 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -83,7 +83,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.15/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.17/src/**"]),
     visibility = ["PUBLIC"],
     features = [
         "proc-macro",
diff --git a/third-party/BUILD b/third-party/BUILD
index abdebd6..8734f30 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -88,7 +88,7 @@ rust_library(
 
 rust_library(
     name = "proc-macro2",
-    srcs = glob(["vendor/proc-macro2-1.0.15/src/**"]),
+    srcs = glob(["vendor/proc-macro2-1.0.17/src/**"]),
     crate_features = [
         "proc-macro",
         "span-locations",
